# 1 "purgatory/string.c"
# 1 "/home/hari/kexec-tools//"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "purgatory/string.c"
# 1 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 1 3 4
# 149 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 3 4

# 149 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 3 4
typedef long int ptrdiff_t;
# 216 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 3 4
typedef long unsigned int size_t;
# 328 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 3 4
typedef int wchar_t;
# 426 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 3 4
typedef struct {
  long long __max_align_ll __attribute__((__aligned__(__alignof__(long long))));
  long double __max_align_ld __attribute__((__aligned__(__alignof__(long double))));
} max_align_t;
# 2 "purgatory/string.c" 2
# 1 "./purgatory/include/string.h" 1



# 1 "/usr/lib/gcc/powerpc64le-linux-gnu/5/include/stddef.h" 1 3 4
# 5 "./purgatory/include/string.h" 2


# 6 "./purgatory/include/string.h"
size_t strnlen(const char *s, size_t max);
void* memset(void* s, int c, size_t n);
void* memcpy(void *dest, const void *src, size_t len);
int memcmp(void *src1, void *src2, size_t len);
# 3 "purgatory/string.c" 2

size_t strnlen(const char *s, size_t max)
{
 size_t len = 0;
 while(len < max && *s) {
  len++;
  s++;
 }
 return len;
}

void* memset(void* s, int c, size_t n)
{
 size_t i;
 char *ss = (char*)s;

 for (i=0;i<n;i++) ss[i] = c;
 return s;
}


void* memcpy(void *dest, const void *src, size_t len)
{
 size_t i;
 unsigned char *d;
 const unsigned char *s;
 d = dest;
 s = src;

 for (i=0; i < len; i++)
  d[i] = s[i];

 return dest;
}


int memcmp(void *src1, void *src2, size_t len)
{
 unsigned char *s1, *s2;
 size_t i;
 s1 = src1;
 s2 = src2;
 for(i = 0; i < len; i++) {
  if (*s1 != *s2) {
   return *s2 - *s1;
  }
  s1++;
  s2++;
 }
 return 0;

}
